/*
  Environ_temp.c

  Senserion temp/humidity module
  November 30, 2013
*/
#include "simpletools.h"
#include "sht11.h"
#include "simpletext.h"
#include "fdserial.h"


static char str[80];

int main()
{
  // Add startup code here.
  sht11_pins(9, 8);

 
  while(1)
  {
    // Add main loop code here.
/* Raw temp */
    int soT = sht11_tempRaw();
    print("soT=%d", soT);
/* Raw real humidity */
    int soRH = sht11_rhRaw();
    print(" soRH=%d", soRH);
/* Degrees C */
    float sTC = sht11_degC();
    print(" sTC=%f",sTC);
/* Degrees F */
    float sTf = sht11_degF();
    print(" sTf=%f", sTf);
/* Raw humidity Linear */
    float sRHL = sht11_rhLinear();
    print(" sRHL=%f", sRHL);
/* Raw humidity True */
    float sRHT = sht11_rhTrue();
    print(" sRHT=%f\n", sRHT);
/* Dew point C */
    float sDPC = sht11_dewPointC(); 
    print(" sDPC=%f\n", sDPC);

    pause(3000);    
  }  
}
